Subject: bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Clément Pit-Claudel <[email-masked]>
Date: Sun, 9 May 2021 18:15:05 -0400

On 5/9/21 6:03 PM, Gregory Heytings wrote:
> 
>>
>> Yup, probably.
>>
> 
> Why "probably"?  Is something missing?

I'm not sure: I don't know if this is the right implementation, or if there's something subtly wrong about it.  It looks good to me (though it's missing a command to go back to the original size), but since there are many implementations that use different strategies I had concluded that there must be some subtlety.

>> The performance isn't great,
>>
> 
> Of course, if you need to recalculate all fonts and redisplay all frames, it takes some time.  But AFAICS the performance is similar to the one of, say, Chromium or Visual Studio when you press C-+ and C--.  The effect is not immediate.

There's something more subtle happening, because using text-scale-adjust is much faster, even on a frame with a single buffer.